Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython3.ModelNode Class Reference
Inheritance diagram for FoxitPDFSDKPython3.ModelNode:

## Public Member Functions
def | ModelNode ()
| Constructor. More...
def | GetFirstChildNode ()
| Get the first child node of current node. More...
def | GetName ()
| Get the name of current node. More...
def | GetNextSiblingNode ()
| Get the next sibling node of current node. More...
def | GetNodeType ()
| Get the type of the node. More...
def | GetParentNode ()
| Get the parent node of current node. More...
def | IsEmpty ()
| Check whether current object is empty or not. More...
def | IsVisible ()
| Check whether current node is visible or not. More...
def | SetVisible (is_visible)
| Set the visibility of current node. More...

## Static Public Attributes
| e_TypeAmbientLight = _fsdk.ModelNode_e_TypeAmbientLight
| Ambient light.
| e_TypeBone = _fsdk.ModelNode_e_TypeBone
| Bone.
| e_TypeClippingPlane = _fsdk.ModelNode_e_TypeClippingPlane
| Clipping plane.
| e_TypeDummy = _fsdk.ModelNode_e_TypeDummy
| Dummy.
| e_TypeGroup = _fsdk.ModelNode_e_TypeGroup
| Group.
| e_TypeMarkup = _fsdk.ModelNode_e_TypeMarkup
| Markup.
| e_TypeMesh = _fsdk.ModelNode_e_TypeMesh
| Mesh.
| e_TypeModelRoot = _fsdk.ModelNode_e_TypeModelRoot
| Model root.
| e_TypeProcedural = _fsdk.ModelNode_e_TypeProcedural
| Procedural.
| e_TypePunctualLight = _fsdk.ModelNode_e_TypePunctualLight
| Punctual light.
| e_TypeSprite = _fsdk.ModelNode_e_TypeSprite
| Sprite.
| e_TypeViewCamera = _fsdk.ModelNode_e_TypeViewCamera
| View camera.

## Detailed Description

This class represents a node in the 3D model tree structure.

See also
  PDF3DAnnotInstance

## Constructor & Destructor Documentation

## ◆ ModelNode()

def FoxitPDFSDKPython3.ModelNode.ModelNode | ( |  | ) |

Constructor.

Constructor, with another model node object.

Parameters

  [in] | other | Another model node object.

## Member Function Documentation

## ◆ GetFirstChildNode()

def FoxitPDFSDKPython3.ModelNode.GetFirstChildNode | ( |  | ) |

Get the first child node of current node.

Returns
  The first child node of current node. If there is no child node, an empty object will be returned.

## ◆ GetName()

def FoxitPDFSDKPython3.ModelNode.GetName | ( |  | ) |

Get the name of current node.

Returns
  The name of current node.

## ◆ GetNextSiblingNode()

def FoxitPDFSDKPython3.ModelNode.GetNextSiblingNode | ( |  | ) |

Get the next sibling node of current node.

Returns
  The next sibling node of current node. If there is no next sibling node, an empty object will be returned.

## ◆ GetNodeType()

def FoxitPDFSDKPython3.ModelNode.GetNodeType | ( |  | ) |

Get the type of the node.

Returns
  The type of the node. Please refer to values starting from FoxitPDFSDKPython3.ModelNode.e_TypeModelRoot and this will be one of these values.

## ◆ GetParentNode()

def FoxitPDFSDKPython3.ModelNode.GetParentNode | ( |  | ) |

Get the parent node of current node.

Returns
  The parent node of current node. If there is no parent node, an empty object will be returned.

## ◆ IsEmpty()

def FoxitPDFSDKPython3.ModelNode.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ IsVisible()

def FoxitPDFSDKPython3.ModelNode.IsVisible | ( |  | ) |

Check whether current node is visible or not.

Returns
  true means current node is visible, while false means invisible.

## ◆ SetVisible()

def FoxitPDFSDKPython3.ModelNode.SetVisible | ( |  | is_visible | ) |

Set the visibility of current node.

Parameters

  [in] | is_visible | A boolean value used to set the visibility of current node. true means visible, while false means invisible.

Returns
  None.